/****
***** Sam: 141193 - Add crosssign with movement constraint
****/

inherit "room/xroom";

object bart;

reset(arg) {
  object o;
  
  ::reset(arg);
  items=({ ({"tree","oak"}), "An oak with the inscription: 'The creator of the labyrinth of doom is N\\' \nand then a bloodstain. \n", ({"house","building","shop"}),"It appears to be some kind of boutique."});
  if (!present("newspaper",this_object())) {
    o = clone_object("obj/paper");
    move_object(o,this_object());
  }
  if (!present("roadsign",this_object())) {
    o = clone_object("players/sam/obj/crosssign");
    o->locate(2,7);
    move_object(o,this_object());
  }
  if (!bart || !living(bart)) {
    bart = clone_object("obj/oldman");
    move_object(bart,this_object());
  }
  if (!arg) {
    
    graphic =
      "20040B00FF0000FF00FFFF040200B60000FF00FFB5040700420000FF00FF4204"+
      "0778A46342E84285A4060F63B263A49AA49AC545C545B2040642C35CD87CD862"+
      "C304045EC57ADA83DA9FC5040745C345AA63AA63C3040762C584A49AA49AC504"+
      "0844C355B563AA63C3040876A774A28AA288A7040777A677A487A487A6040478"+
      "BB78A785A785BB050678BB78B081A785A785BB040479BA7EBA7EA87DB804047F"+
      "BA84BA84A883B8040369BB69B774B774BB040369B669B274B274B6040388BB88"+
      "B793B793BB040388B688B293B293B6200E20F620F520F41FF31FF21EF11DF11C"+
      "F11BF01AF119F118F117F216F316F416F516F616F716F816F917FA18FB19FB1A"+
      "FB1BFB1CFB1DFB1EFB1FFA1FF920F820F70A06FF4EF54CEA4FE456E873ECA7ED"+
      "DAEBECE9FFFFFF13029CFFA8EFB6E7C6E5C7EBC8EFC7EFCFF1D5EDDDE4E7E1E3"+
      "EEEAF1ECDFE9D7F8E3FBEDFFF0FFFF0B0AABF3B6EBBFEAB6F0B0FBB5EEB8EBAF"+
      "F2A9FEABF4ABF40B0AC4FDCAF4D0F3D9ECD2F7CFF7C9F5C8FBCBFFC8FFC3FF06"+
      "0AEEE3EFE0EBDBF3E1F1E4F1E4060AFEFFFDF3F9EFF5EDFBF3FCFA0404F0C9F0"+
      "BAED8EF1BA0E04F495F167EB56E752EB54F165F058F451ED4DF654F453F158F2"+
      "63F481120A207C228A207C2E7A38833A8F39834F8D5097508F52975492569857"+
      "944E8E3882307C1D7B180AB0ABBCABCDA6E3A4ECA5E6A6E5A4DBA4D9ACD8A5D5"+
      "A6D6AAD4A4CDA7C8A8C9B0C7A8C0ABBCB2BEABB3AEAFB2B0ADAAAC150A3CAA2C"+
      "AB1FAF0EB002AF00B003B00EAE0FB11EB024B321B026AE28B329AE2FAC35B232"+
      "AA3AAA3CB03FAA";


	
/*    description = 
"You are standing on a crossroad. There is a roadsign here that tells you\n"+
"NORTH	: shop\n"+
"EAST	: space cabs\n"+
"SOUTH	: post office\n"+
"WEST	: park\n"; */
    description = 
      "You are standing on a crossroad. The building to the north looks like a shop.\nAn old oak is planted here.\n";
    dest_dir = ({"room/shop","north",
		  "room/grass_field","west",
		  "room/teleport","south",
		  "room/church","east"
	       });
  }
}

init() 
{
  ::init();

  position_constraint();

  add_action("movement_constraint", "micro_n");
}

position_constraint()
{
  if (this_player()->query_depth() >= 7)
    this_player()->locate(this_player()->query_pos(), 6);
}

movement_constraint()
{
  if (this_player()->query_depth() < 6) return 0;
  command("north", this_player());
  return 0;
}





